Package ru.bitel.oss.systems.inventory.resource.common.service

# Interface ResourceService

public interface ResourceService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<IpResourceNet>`
  `freeIpResourceNetList(Collection<Integer> ipResourceCategoryIds, Collection<Integer> ipResourceIds, Date dateFrom, Date dateTo, int mask, int max, String filter)`
  `List<IpResourceRange>`
  `freeIpResourceRangeList(Collection<Integer> ipResourceCategoryIds, Collection<Integer> ipResourceIds, Date dateFrom, Date dateTo, int range, int max, String filter)`
  `Integer`
  `freeVlan(Set<Integer> vlanResourceCategoryIds, Date dateFrom, Date dateTo)`
  `void`
  `ipCategoryDelete(int id)`
  `List<IpCategory>`
  `ipCategoryList()`
  `IpCategory`
  `ipCategoryRoot()`
  `int`
  `ipCategoryUpdate(IpCategory category)`
  `void`
  `ipResourceDelete(int id, boolean skipSubscriptionCheck)`
  `IpResource`
  `ipResourceGet(int id)`
  `List<IpResource>`
  `ipResourceList(Collection<Integer> categoryIds)`
  `IpResourceSubscription`
  `ipResourceSubscribe(int subscriberId, String subscriberTitle, Collection<Integer> ipResourceCategoryIds, int ipResourceId, byte[] addressFrom, byte[] addressTo, Date dateFrom, Date dateTo)`
  `void`
  `ipResourceUnsubscribe(int subscriberId, int ipResourceSubscriptionId, byte[] addressFrom, byte[] addressTo)`
  `int`
  `ipResourceUpdate(IpResource resource, boolean skipSubscriptionCheck)`
  `Result<IpResourceSubscription>`
  `ipSubscriptionList(int ipResourceId, Date dateFrom, Date dateTo, Page page)`
  `Integer`
  `nextFreeVlan(int vlanResourceCategoryId, int deviceId, Date dateFrom, Date dateTo)`
  Deprecated.
  `void`
  `vlanCategoryDelete(int id)`
  `VlanCategory`
  `vlanCategoryRoot()`
  `int`
  `vlanCategoryUpdate(VlanCategory category)`
  `void`
  `vlanResourceDelete(int id)`
  `VlanResource`
  `vlanResourceGet(int id)`
  `List<VlanResource>`
  `vlanResourceList(int categoryId)`
  `boolean`
  `vlanResourceSubscribe(int vlan, short subscriberType, int subscriberId, String subscriberTitle, Date dateFrom, Date dateTo, Set<Integer> vlanResourceCategoryIds, boolean isVlanPersonal)`
  Подписка на VLAN
  `void`
  `vlanResourceUnsubscribe(int subscriberId)`
  Deprecated.
  `void`
  `vlanResourceUnsubscribe(short subscriberType, int subscriberId)`
  Отмена подписки на VLAN
  `int`
  `vlanResourceUpdate(VlanResource vlan)`
  `Result<VlanResourceSubscription>`
  `vlanSubscriptionList(int vlanResourceId, Date dateFrom, Date dateTo, Page page)`
  `List<VlanResourceSubscription>`
  `vlanSubscriptionList1(int vlanResourceId, Date dateFrom, Date dateTo)`

- ## Method Details

  - ### vlanResourceList

    List<VlanResource> vlanResourceList(int categoryId) throws Exception
    Throws:
      `Exception`

  - ### vlanResourceGet

    VlanResource vlanResourceGet(int id) throws Exception
    Throws:
      `Exception`

  - ### vlanResourceUpdate

    int vlanResourceUpdate(VlanResource vlan) throws Exception
    Throws:
      `Exception`

  - ### vlanResourceDelete

    void vlanResourceDelete(int id) throws Exception
    Throws:
      `Exception`

  - ### nextFreeVlan

    @Deprecated Integer nextFreeVlan(int vlanResourceCategoryId, int deviceId, Date dateFrom, Date dateTo) throws Exception
    Deprecated.
    Throws:
      `Exception`

  - ### freeVlan

    Integer freeVlan(Set<Integer> vlanResourceCategoryIds, Date dateFrom, Date dateTo) throws Exception
    Throws:
      `Exception`

  - ### vlanResourceSubscribe

    boolean vlanResourceSubscribe(int vlan, short subscriberType, int subscriberId, String subscriberTitle, Date dateFrom, Date dateTo, Set<Integer> vlanResourceCategoryIds, boolean isVlanPersonal) throws Exception
    Подписка на VLAN
    Parameters:
      `vlan` - VLAN
      `subscriberType` - тип подсписчика, 0 - договор, 1 - аккаунт, 2 - устройство
      `subscriberId` - ID подписчика
      `subscriberTitle` - название подписчика
      `dateFrom` -
      `dateTo` -
      `vlanResourceCategoryIds` -
      `isVlanPersonal` - проверять (true) или нет, что VLAN уже занят
    Returns:
    Throws:
      `BGException`
      `Exception`
    See Also:
      - `VlanResourceSubscription.SUBSCRIBER_TYPE_ACCOUNT`

  - ### vlanResourceUnsubscribe

    @Deprecated @RequestWrapper(className="ru.bitel.oss.systems.inventory.resource.common.jaxws.VlanResourceUnsubscribeOldRequest") @ResponseWrapper(className="ru.bitel.oss.systems.inventory.resource.common.jaxws.VlanResourceUnsubscribeOldResponse") void vlanResourceUnsubscribe(int subscriberId) throws Exception
    Deprecated.
    Throws:
      `Exception`

  - ### vlanResourceUnsubscribe

    void vlanResourceUnsubscribe(short subscriberType, int subscriberId) throws Exception
    Отмена подписки на VLAN
    Parameters:
      `subscriberType` - тип подписчика, 0 - договор, 1 - аккаунт(сервис), 2 - устройство
      `subscriberId` - ID подписчика
    Throws:
      `BGException`
      `Exception`

  - ### vlanSubscriptionList1

    List<VlanResourceSubscription> vlanSubscriptionList1(int vlanResourceId, Date dateFrom, Date dateTo) throws Exception
    Throws:
      `Exception`

  - ### vlanSubscriptionList

    Result<VlanResourceSubscription> vlanSubscriptionList(int vlanResourceId, Date dateFrom, Date dateTo, Page page) throws Exception
    Throws:
      `Exception`

  - ### vlanCategoryRoot

    VlanCategory vlanCategoryRoot() throws Exception
    Throws:
      `Exception`

  - ### vlanCategoryUpdate

    int vlanCategoryUpdate(VlanCategory category) throws Exception
    Throws:
      `Exception`

  - ### vlanCategoryDelete

    void vlanCategoryDelete(int id) throws Exception
    Throws:
      `Exception`

  - ### ipCategoryRoot

    IpCategory ipCategoryRoot() throws Exception
    Throws:
      `Exception`

  - ### ipCategoryList

    List<IpCategory> ipCategoryList() throws Exception
    Throws:
      `Exception`

  - ### ipResourceList

    List<IpResource> ipResourceList(Collection<Integer> categoryIds) throws Exception
    Throws:
      `Exception`

  - ### ipResourceGet

    IpResource ipResourceGet(int id) throws Exception
    Throws:
      `Exception`

  - ### ipCategoryUpdate

    int ipCategoryUpdate(IpCategory category) throws Exception
    Throws:
      `Exception`

  - ### ipCategoryDelete

    void ipCategoryDelete(int id) throws Exception
    Throws:
      `Exception`

  - ### ipResourceUpdate

    int ipResourceUpdate(IpResource resource, boolean skipSubscriptionCheck) throws Exception
    Throws:
      `Exception`

  - ### ipResourceDelete

    void ipResourceDelete(int id, boolean skipSubscriptionCheck) throws Exception
    Throws:
      `Exception`

  - ### freeIpResourceRangeList

    List<IpResourceRange> freeIpResourceRangeList(Collection<Integer> ipResourceCategoryIds, Collection<Integer> ipResourceIds, Date dateFrom, Date dateTo, int range, int max, String filter) throws Exception
    Throws:
      `Exception`

  - ### freeIpResourceNetList

    List<IpResourceNet> freeIpResourceNetList(Collection<Integer> ipResourceCategoryIds, Collection<Integer> ipResourceIds, Date dateFrom, Date dateTo, int mask, int max, String filter) throws Exception
    Throws:
      `Exception`

  - ### ipResourceSubscribe

    IpResourceSubscription ipResourceSubscribe(int subscriberId, String subscriberTitle, Collection<Integer> ipResourceCategoryIds, int ipResourceId, byte[] addressFrom, byte[] addressTo, Date dateFrom, Date dateTo) throws Exception
    Throws:
      `Exception`

  - ### ipResourceUnsubscribe

    void ipResourceUnsubscribe(int subscriberId, int ipResourceSubscriptionId, byte[] addressFrom, byte[] addressTo) throws Exception
    Throws:
      `Exception`

  - ### ipSubscriptionList

    Result<IpResourceSubscription> ipSubscriptionList(int ipResourceId, Date dateFrom, Date dateTo, Page page) throws Exception
    Throws:
      `Exception`